javax.enterprise.inject

## Class UnsatisfiedResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.enterprise.inject.InjectionException
        - - javax.enterprise.inject.ResolutionException
          - - javax.enterprise.inject.UnsatisfiedResolutionException

- All Implemented Interfaces:
    Serializable

      public class UnsatisfiedResolutionException
      extends ResolutionException

  Indicates that no bean matches a certain combination of required type and required qualifiers and is eligible for injection into a certain class.

  Author:
    Pete Muir, Gavin King
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsatisfiedResolutionException()`
    `UnsatisfiedResolutionException(String message)`
    `UnsatisfiedResolutionException(String message, Throwable throwable)`
    `UnsatisfiedResolutionException(Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsatisfiedResolutionException

          public UnsatisfiedResolutionException()

    - #### UnsatisfiedResolutionException

          public UnsatisfiedResolutionException(String message,
                                        Throwable throwable)

    - #### UnsatisfiedResolutionException

          public UnsatisfiedResolutionException(String message)

    - #### UnsatisfiedResolutionException

          public UnsatisfiedResolutionException(Throwable throwable)

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.